<?php

namespace Database\Seeders;

use App\Models\Area;
use Faker\Guesser\Name;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class AreaSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Area::create([
            'name'=>'Academia'
        ]);

        $area2=Area::create([
            'name'=>'Promoción'
        ]);

        $area2->areas()->sync(4);

        Area::create([
            'name'=>'Finanzas'
        ]);

        Area::create([
            'name'=>'Sistemas'
        ]);

    }
}
